searchData={"items":[{"type":"module","title":"ExAequoBase","doc":"Just a namespace","ref":"ExAequoBase.html"},{"type":"module","title":"ExAequoBase.Enum","doc":"Extensions to `Enum`","ref":"ExAequoBase.Enum.html"},{"type":"function","title":"ExAequoBase.Enum.map_ok/3","doc":"`map_ok` wrapps `map` around functions that return result types `result_t`\n\n    iex(1)> map_ok(1..2, fn x -> {:ok, x + 1} end)\n    {:ok, [2, 3]}\n\n    iex(2)> map_ok(0..2, fn x -> if rem(x, 2) == 0, do: {:ok, x + 1}, else: {:error, \"not even even\"} end)\n    {:error, \"not even even\"}\n\nIf the mapper function returning nil shall be captured as an error you need to allow this explicitly\n\n    iex(3)> map_ok(0..2, fn x -> if rem(x, 2) == 0, do: {:ok, x} end, true)\n    {:error, \"mapper function returned nil on 1\"}\n\nbut...\n\n    iex(4)> assert_raise(\n    ...(4)> CaseClauseError,\n    ...(4)>fn -> map_ok(0..2, fn x -> if rem(x, 2) == 0, do: {:ok, x} end) end)\n\nof course, errors are stll handled the same\n\n    iex(5)> map_ok(0..2, fn x -> if rem(x, 2) == 0, do: {:ok, x + 1}, else: {:error, \"not even even\"} end, true)\n    {:error, \"not even even\"}","ref":"ExAequoBase.Enum.html#map_ok/3"},{"type":"type","title":"ExAequoBase.Enum.atoms/0","doc":"","ref":"ExAequoBase.Enum.html#t:atoms/0"},{"type":"type","title":"ExAequoBase.Enum.binaries/0","doc":"","ref":"ExAequoBase.Enum.html#t:binaries/0"},{"type":"type","title":"ExAequoBase.Enum.either/2","doc":"","ref":"ExAequoBase.Enum.html#t:either/2"},{"type":"type","title":"ExAequoBase.Enum.error_t/0","doc":"","ref":"ExAequoBase.Enum.html#t:error_t/0"},{"type":"type","title":"ExAequoBase.Enum.error_t/1","doc":"","ref":"ExAequoBase.Enum.html#t:error_t/1"},{"type":"type","title":"ExAequoBase.Enum.input_source_t/0","doc":"","ref":"ExAequoBase.Enum.html#t:input_source_t/0"},{"type":"type","title":"ExAequoBase.Enum.maybe/1","doc":"","ref":"ExAequoBase.Enum.html#t:maybe/1"},{"type":"type","title":"ExAequoBase.Enum.natural/0","doc":"","ref":"ExAequoBase.Enum.html#t:natural/0"},{"type":"type","title":"ExAequoBase.Enum.numbered/1","doc":"","ref":"ExAequoBase.Enum.html#t:numbered/1"},{"type":"type","title":"ExAequoBase.Enum.numbered_line_t/0","doc":"","ref":"ExAequoBase.Enum.html#t:numbered_line_t/0"},{"type":"type","title":"ExAequoBase.Enum.numbered_lines_t/0","doc":"","ref":"ExAequoBase.Enum.html#t:numbered_lines_t/0"},{"type":"type","title":"ExAequoBase.Enum.ok_t/0","doc":"","ref":"ExAequoBase.Enum.html#t:ok_t/0"},{"type":"type","title":"ExAequoBase.Enum.ok_t/1","doc":"","ref":"ExAequoBase.Enum.html#t:ok_t/1"},{"type":"type","title":"ExAequoBase.Enum.pair_t/0","doc":"","ref":"ExAequoBase.Enum.html#t:pair_t/0"},{"type":"type","title":"ExAequoBase.Enum.pair_t/1","doc":"","ref":"ExAequoBase.Enum.html#t:pair_t/1"},{"type":"type","title":"ExAequoBase.Enum.pair_t/2","doc":"","ref":"ExAequoBase.Enum.html#t:pair_t/2"},{"type":"type","title":"ExAequoBase.Enum.pairs_t/0","doc":"","ref":"ExAequoBase.Enum.html#t:pairs_t/0"},{"type":"type","title":"ExAequoBase.Enum.pairs_t/1","doc":"","ref":"ExAequoBase.Enum.html#t:pairs_t/1"},{"type":"type","title":"ExAequoBase.Enum.pairs_t/2","doc":"","ref":"ExAequoBase.Enum.html#t:pairs_t/2"},{"type":"type","title":"ExAequoBase.Enum.reducer_result_t/0","doc":"","ref":"ExAequoBase.Enum.html#t:reducer_result_t/0"},{"type":"type","title":"ExAequoBase.Enum.result_fun_t/0","doc":"","ref":"ExAequoBase.Enum.html#t:result_fun_t/0"},{"type":"type","title":"ExAequoBase.Enum.result_fun_t/1","doc":"","ref":"ExAequoBase.Enum.html#t:result_fun_t/1"},{"type":"type","title":"ExAequoBase.Enum.result_t/0","doc":"","ref":"ExAequoBase.Enum.html#t:result_t/0"},{"type":"type","title":"ExAequoBase.Enum.result_t/1","doc":"","ref":"ExAequoBase.Enum.html#t:result_t/1"},{"type":"type","title":"ExAequoBase.Enum.stream_t/0","doc":"","ref":"ExAequoBase.Enum.html#t:stream_t/0"},{"type":"type","title":"ExAequoBase.Enum.zero_fn_t/0","doc":"","ref":"ExAequoBase.Enum.html#t:zero_fn_t/0"},{"type":"type","title":"ExAequoBase.Enum.zero_fn_t/1","doc":"","ref":"ExAequoBase.Enum.html#t:zero_fn_t/1"},{"type":"module","title":"ExAequoBase.Fn","doc":"Functional Helpers","ref":"ExAequoBase.Fn.html"},{"type":"function","title":"ExAequoBase.Fn.select/1","doc":"Runs the first function that does not return nil\n\n    iex(1)> fns = [\n    ...(1)> fn -> nil end,\n    ...(1)> fn -> 42 end,\n    ...(1)> fn -> \"not reached\" end\n    ...(1)> ]\n    ...(1)> select(fns)\n    42\n      \n\nReturns an error if no function matched \n\n    iex(2)> select([fn -> nil end])\n    {:error, \"No functions matched\"}\n\nEven if the input was empty\n\n    iex(3)> select([])\n    {:error, \"No functions matched\"}","ref":"ExAequoBase.Fn.html#select/1"},{"type":"type","title":"ExAequoBase.Fn.atoms/0","doc":"","ref":"ExAequoBase.Fn.html#t:atoms/0"},{"type":"type","title":"ExAequoBase.Fn.binaries/0","doc":"","ref":"ExAequoBase.Fn.html#t:binaries/0"},{"type":"type","title":"ExAequoBase.Fn.either/2","doc":"","ref":"ExAequoBase.Fn.html#t:either/2"},{"type":"type","title":"ExAequoBase.Fn.error_t/0","doc":"","ref":"ExAequoBase.Fn.html#t:error_t/0"},{"type":"type","title":"ExAequoBase.Fn.error_t/1","doc":"","ref":"ExAequoBase.Fn.html#t:error_t/1"},{"type":"type","title":"ExAequoBase.Fn.input_source_t/0","doc":"","ref":"ExAequoBase.Fn.html#t:input_source_t/0"},{"type":"type","title":"ExAequoBase.Fn.maybe/1","doc":"","ref":"ExAequoBase.Fn.html#t:maybe/1"},{"type":"type","title":"ExAequoBase.Fn.natural/0","doc":"","ref":"ExAequoBase.Fn.html#t:natural/0"},{"type":"type","title":"ExAequoBase.Fn.numbered/1","doc":"","ref":"ExAequoBase.Fn.html#t:numbered/1"},{"type":"type","title":"ExAequoBase.Fn.numbered_line_t/0","doc":"","ref":"ExAequoBase.Fn.html#t:numbered_line_t/0"},{"type":"type","title":"ExAequoBase.Fn.numbered_lines_t/0","doc":"","ref":"ExAequoBase.Fn.html#t:numbered_lines_t/0"},{"type":"type","title":"ExAequoBase.Fn.ok_t/0","doc":"","ref":"ExAequoBase.Fn.html#t:ok_t/0"},{"type":"type","title":"ExAequoBase.Fn.ok_t/1","doc":"","ref":"ExAequoBase.Fn.html#t:ok_t/1"},{"type":"type","title":"ExAequoBase.Fn.pair_t/0","doc":"","ref":"ExAequoBase.Fn.html#t:pair_t/0"},{"type":"type","title":"ExAequoBase.Fn.pair_t/1","doc":"","ref":"ExAequoBase.Fn.html#t:pair_t/1"},{"type":"type","title":"ExAequoBase.Fn.pair_t/2","doc":"","ref":"ExAequoBase.Fn.html#t:pair_t/2"},{"type":"type","title":"ExAequoBase.Fn.pairs_t/0","doc":"","ref":"ExAequoBase.Fn.html#t:pairs_t/0"},{"type":"type","title":"ExAequoBase.Fn.pairs_t/1","doc":"","ref":"ExAequoBase.Fn.html#t:pairs_t/1"},{"type":"type","title":"ExAequoBase.Fn.pairs_t/2","doc":"","ref":"ExAequoBase.Fn.html#t:pairs_t/2"},{"type":"type","title":"ExAequoBase.Fn.reducer_result_t/0","doc":"","ref":"ExAequoBase.Fn.html#t:reducer_result_t/0"},{"type":"type","title":"ExAequoBase.Fn.result_fun_t/0","doc":"","ref":"ExAequoBase.Fn.html#t:result_fun_t/0"},{"type":"type","title":"ExAequoBase.Fn.result_fun_t/1","doc":"","ref":"ExAequoBase.Fn.html#t:result_fun_t/1"},{"type":"type","title":"ExAequoBase.Fn.result_t/0","doc":"","ref":"ExAequoBase.Fn.html#t:result_t/0"},{"type":"type","title":"ExAequoBase.Fn.result_t/1","doc":"","ref":"ExAequoBase.Fn.html#t:result_t/1"},{"type":"type","title":"ExAequoBase.Fn.stream_t/0","doc":"","ref":"ExAequoBase.Fn.html#t:stream_t/0"},{"type":"type","title":"ExAequoBase.Fn.zero_fn_t/0","doc":"","ref":"ExAequoBase.Fn.html#t:zero_fn_t/0"},{"type":"type","title":"ExAequoBase.Fn.zero_fn_t/1","doc":"","ref":"ExAequoBase.Fn.html#t:zero_fn_t/1"},{"type":"module","title":"ExAequoBase.Io","doc":"Transform input from files, stdin, or binaries","ref":"ExAequoBase.Io.html"},{"type":"function","title":"ExAequoBase.Io.numbered_lines/2","doc":"From an enumerable of lines, create a list of tuples containing lines and line_numbers\n\n    iex(1)> numbered_lines(~W[a b c])\n    [{\"a\", 1}, {\"b\", 2}, {\"c\", 3}]  \n\n  You can start with any number you want\n\n    iex(2)> numbered_lines(~W[a b c], -1.5)\n    [{\"a\", -1.5}, {\"b\", -0.5}, {\"c\", 0.5}]  \n\n  Why is this in a module called `Io`?\n\n    iex(3)> numbered_lines(fixture_stream!(\"three_lines\"), 2)\n    [{\"alpha\", 2}, {\"beta\", 3}, {\"gamma\", 4}]","ref":"ExAequoBase.Io.html#numbered_lines/2"},{"type":"function","title":"ExAequoBase.Io.numbered_lines_stream/2","doc":"Same as `numbered_lines` but just returning a stream\n\n    iex(4)> s = numbered_lines_stream(~W[x y])\n    ...(4)> assert is_function(s)\n    ...(4)> s |> Enum.into([])\n    [{\"x\", 1}, {\"y\", 2}]","ref":"ExAequoBase.Io.html#numbered_lines_stream/2"},{"type":"type","title":"ExAequoBase.Io.atoms/0","doc":"","ref":"ExAequoBase.Io.html#t:atoms/0"},{"type":"type","title":"ExAequoBase.Io.binaries/0","doc":"","ref":"ExAequoBase.Io.html#t:binaries/0"},{"type":"type","title":"ExAequoBase.Io.either/2","doc":"","ref":"ExAequoBase.Io.html#t:either/2"},{"type":"type","title":"ExAequoBase.Io.error_t/0","doc":"","ref":"ExAequoBase.Io.html#t:error_t/0"},{"type":"type","title":"ExAequoBase.Io.error_t/1","doc":"","ref":"ExAequoBase.Io.html#t:error_t/1"},{"type":"type","title":"ExAequoBase.Io.input_source_t/0","doc":"","ref":"ExAequoBase.Io.html#t:input_source_t/0"},{"type":"type","title":"ExAequoBase.Io.maybe/1","doc":"","ref":"ExAequoBase.Io.html#t:maybe/1"},{"type":"type","title":"ExAequoBase.Io.natural/0","doc":"","ref":"ExAequoBase.Io.html#t:natural/0"},{"type":"type","title":"ExAequoBase.Io.numbered/1","doc":"","ref":"ExAequoBase.Io.html#t:numbered/1"},{"type":"type","title":"ExAequoBase.Io.numbered_line_t/0","doc":"","ref":"ExAequoBase.Io.html#t:numbered_line_t/0"},{"type":"type","title":"ExAequoBase.Io.numbered_lines_t/0","doc":"","ref":"ExAequoBase.Io.html#t:numbered_lines_t/0"},{"type":"type","title":"ExAequoBase.Io.ok_t/0","doc":"","ref":"ExAequoBase.Io.html#t:ok_t/0"},{"type":"type","title":"ExAequoBase.Io.ok_t/1","doc":"","ref":"ExAequoBase.Io.html#t:ok_t/1"},{"type":"type","title":"ExAequoBase.Io.pair_t/0","doc":"","ref":"ExAequoBase.Io.html#t:pair_t/0"},{"type":"type","title":"ExAequoBase.Io.pair_t/1","doc":"","ref":"ExAequoBase.Io.html#t:pair_t/1"},{"type":"type","title":"ExAequoBase.Io.pair_t/2","doc":"","ref":"ExAequoBase.Io.html#t:pair_t/2"},{"type":"type","title":"ExAequoBase.Io.pairs_t/0","doc":"","ref":"ExAequoBase.Io.html#t:pairs_t/0"},{"type":"type","title":"ExAequoBase.Io.pairs_t/1","doc":"","ref":"ExAequoBase.Io.html#t:pairs_t/1"},{"type":"type","title":"ExAequoBase.Io.pairs_t/2","doc":"","ref":"ExAequoBase.Io.html#t:pairs_t/2"},{"type":"type","title":"ExAequoBase.Io.reducer_result_t/0","doc":"","ref":"ExAequoBase.Io.html#t:reducer_result_t/0"},{"type":"type","title":"ExAequoBase.Io.result_fun_t/0","doc":"","ref":"ExAequoBase.Io.html#t:result_fun_t/0"},{"type":"type","title":"ExAequoBase.Io.result_fun_t/1","doc":"","ref":"ExAequoBase.Io.html#t:result_fun_t/1"},{"type":"type","title":"ExAequoBase.Io.result_t/0","doc":"","ref":"ExAequoBase.Io.html#t:result_t/0"},{"type":"type","title":"ExAequoBase.Io.result_t/1","doc":"","ref":"ExAequoBase.Io.html#t:result_t/1"},{"type":"type","title":"ExAequoBase.Io.stream_t/0","doc":"","ref":"ExAequoBase.Io.html#t:stream_t/0"},{"type":"type","title":"ExAequoBase.Io.zero_fn_t/0","doc":"","ref":"ExAequoBase.Io.html#t:zero_fn_t/0"},{"type":"type","title":"ExAequoBase.Io.zero_fn_t/1","doc":"","ref":"ExAequoBase.Io.html#t:zero_fn_t/1"},{"type":"module","title":"ExAequoBase.Map","doc":"Map helpers","ref":"ExAequoBase.Map.html"},{"type":"function","title":"ExAequoBase.Map.put_if/3","doc":"put_if is putting values into a map only if a certain value exists\n\n    iex(1)> put_if(%{a: 1}, true, [a: 2, b: 3])\n    %{a: 2, b: 3}\n\nkeys can be of any type\n\n    iex(2)> put_if(%{}, true, [{\"a\", 42}])\n    %{\"a\" => 42}\n\nBut false values return an unchanged map\n\n    iex(3)> put_if(%{a: 1}, false, [a: 2, b: 3])\n    %{a: 1}","ref":"ExAequoBase.Map.html#put_if/3"},{"type":"type","title":"ExAequoBase.Map.atoms/0","doc":"","ref":"ExAequoBase.Map.html#t:atoms/0"},{"type":"type","title":"ExAequoBase.Map.binaries/0","doc":"","ref":"ExAequoBase.Map.html#t:binaries/0"},{"type":"type","title":"ExAequoBase.Map.either/2","doc":"","ref":"ExAequoBase.Map.html#t:either/2"},{"type":"type","title":"ExAequoBase.Map.error_t/0","doc":"","ref":"ExAequoBase.Map.html#t:error_t/0"},{"type":"type","title":"ExAequoBase.Map.error_t/1","doc":"","ref":"ExAequoBase.Map.html#t:error_t/1"},{"type":"type","title":"ExAequoBase.Map.input_source_t/0","doc":"","ref":"ExAequoBase.Map.html#t:input_source_t/0"},{"type":"type","title":"ExAequoBase.Map.maybe/1","doc":"","ref":"ExAequoBase.Map.html#t:maybe/1"},{"type":"type","title":"ExAequoBase.Map.natural/0","doc":"","ref":"ExAequoBase.Map.html#t:natural/0"},{"type":"type","title":"ExAequoBase.Map.numbered/1","doc":"","ref":"ExAequoBase.Map.html#t:numbered/1"},{"type":"type","title":"ExAequoBase.Map.numbered_line_t/0","doc":"","ref":"ExAequoBase.Map.html#t:numbered_line_t/0"},{"type":"type","title":"ExAequoBase.Map.numbered_lines_t/0","doc":"","ref":"ExAequoBase.Map.html#t:numbered_lines_t/0"},{"type":"type","title":"ExAequoBase.Map.ok_t/0","doc":"","ref":"ExAequoBase.Map.html#t:ok_t/0"},{"type":"type","title":"ExAequoBase.Map.ok_t/1","doc":"","ref":"ExAequoBase.Map.html#t:ok_t/1"},{"type":"type","title":"ExAequoBase.Map.pair_t/0","doc":"","ref":"ExAequoBase.Map.html#t:pair_t/0"},{"type":"type","title":"ExAequoBase.Map.pair_t/1","doc":"","ref":"ExAequoBase.Map.html#t:pair_t/1"},{"type":"type","title":"ExAequoBase.Map.pair_t/2","doc":"","ref":"ExAequoBase.Map.html#t:pair_t/2"},{"type":"type","title":"ExAequoBase.Map.pairs_t/0","doc":"","ref":"ExAequoBase.Map.html#t:pairs_t/0"},{"type":"type","title":"ExAequoBase.Map.pairs_t/1","doc":"","ref":"ExAequoBase.Map.html#t:pairs_t/1"},{"type":"type","title":"ExAequoBase.Map.pairs_t/2","doc":"","ref":"ExAequoBase.Map.html#t:pairs_t/2"},{"type":"type","title":"ExAequoBase.Map.reducer_result_t/0","doc":"","ref":"ExAequoBase.Map.html#t:reducer_result_t/0"},{"type":"type","title":"ExAequoBase.Map.result_fun_t/0","doc":"","ref":"ExAequoBase.Map.html#t:result_fun_t/0"},{"type":"type","title":"ExAequoBase.Map.result_fun_t/1","doc":"","ref":"ExAequoBase.Map.html#t:result_fun_t/1"},{"type":"type","title":"ExAequoBase.Map.result_t/0","doc":"","ref":"ExAequoBase.Map.html#t:result_t/0"},{"type":"type","title":"ExAequoBase.Map.result_t/1","doc":"","ref":"ExAequoBase.Map.html#t:result_t/1"},{"type":"type","title":"ExAequoBase.Map.stream_t/0","doc":"","ref":"ExAequoBase.Map.html#t:stream_t/0"},{"type":"type","title":"ExAequoBase.Map.zero_fn_t/0","doc":"","ref":"ExAequoBase.Map.html#t:zero_fn_t/0"},{"type":"type","title":"ExAequoBase.Map.zero_fn_t/1","doc":"","ref":"ExAequoBase.Map.html#t:zero_fn_t/1"},{"type":"module","title":"ExAequoBase.Text","doc":"Text based tools","ref":"ExAequoBase.Text.html"},{"type":"function","title":"ExAequoBase.Text.behead/2","doc":"Removes a prefix (only if matching), or a given count of graphemes from\nthe front of a string\n\n    iex(1)> behead(\"abc\", \"a\")\n    \"bc\"\n\n    \n    iex(2)> behead(\"abc\", 2)\n    \"c\"\n\n    iex(3)> behead(\"abc\", 0)\n    \"abc\"\n\nBut \n\n    iex(4)> assert_raise(\n    ...(4)>   ExAequoBase.Text.Error,\n    ...(4)>   fn -> behead(\"abc\", \"b\")\n    ...(4)> end)\n    \n\n    iex(5)> assert_raise(\n    ...(5)>   FunctionClauseError,\n    ...(5)>   fn -> behead(\"abc\", -1)\n    ...(5)> end)","ref":"ExAequoBase.Text.html#behead/2"},{"type":"function","title":"ExAequoBase.Text.parse_up_to/3","doc":"Parses an input string up to a given string, returnig prefix and suffix\n\n    iex(6)> parse_up_to(\"hello world\", \" \")\n    {\"hello\", \"world\"}\n\n  We can also use regular expressions\n\n    iex(7)> parse_up_to(\"hello  world\", ~r/\\s+/)\n    {\"hello\", \"world\"}\n\n  We can decide to keep the string we parse up to\n\n    iex(8)> parse_up_to(\"hello  world\", ~r/\\s+/, :keep)\n    {\"hello\", \"  world\"}\n\n  Or to include it into the macth\n\n    iex(9)> parse_up_to(\"hello  world\", ~r/\\s+/, :include)\n    {\"hello  \", \"world\"}\n\n  If no match nil is returned\n\n    iex(10)> parse_up_to(\"hi there\", ~r/\\d+/)\n    nil","ref":"ExAequoBase.Text.html#parse_up_to/3"},{"type":"type","title":"ExAequoBase.Text.atoms/0","doc":"","ref":"ExAequoBase.Text.html#t:atoms/0"},{"type":"type","title":"ExAequoBase.Text.binaries/0","doc":"","ref":"ExAequoBase.Text.html#t:binaries/0"},{"type":"type","title":"ExAequoBase.Text.either/2","doc":"","ref":"ExAequoBase.Text.html#t:either/2"},{"type":"type","title":"ExAequoBase.Text.error_t/0","doc":"","ref":"ExAequoBase.Text.html#t:error_t/0"},{"type":"type","title":"ExAequoBase.Text.error_t/1","doc":"","ref":"ExAequoBase.Text.html#t:error_t/1"},{"type":"type","title":"ExAequoBase.Text.input_source_t/0","doc":"","ref":"ExAequoBase.Text.html#t:input_source_t/0"},{"type":"type","title":"ExAequoBase.Text.maybe/1","doc":"","ref":"ExAequoBase.Text.html#t:maybe/1"},{"type":"type","title":"ExAequoBase.Text.natural/0","doc":"","ref":"ExAequoBase.Text.html#t:natural/0"},{"type":"type","title":"ExAequoBase.Text.numbered/1","doc":"","ref":"ExAequoBase.Text.html#t:numbered/1"},{"type":"type","title":"ExAequoBase.Text.numbered_line_t/0","doc":"","ref":"ExAequoBase.Text.html#t:numbered_line_t/0"},{"type":"type","title":"ExAequoBase.Text.numbered_lines_t/0","doc":"","ref":"ExAequoBase.Text.html#t:numbered_lines_t/0"},{"type":"type","title":"ExAequoBase.Text.ok_t/0","doc":"","ref":"ExAequoBase.Text.html#t:ok_t/0"},{"type":"type","title":"ExAequoBase.Text.ok_t/1","doc":"","ref":"ExAequoBase.Text.html#t:ok_t/1"},{"type":"type","title":"ExAequoBase.Text.pair_t/0","doc":"","ref":"ExAequoBase.Text.html#t:pair_t/0"},{"type":"type","title":"ExAequoBase.Text.pair_t/1","doc":"","ref":"ExAequoBase.Text.html#t:pair_t/1"},{"type":"type","title":"ExAequoBase.Text.pair_t/2","doc":"","ref":"ExAequoBase.Text.html#t:pair_t/2"},{"type":"type","title":"ExAequoBase.Text.pairs_t/0","doc":"","ref":"ExAequoBase.Text.html#t:pairs_t/0"},{"type":"type","title":"ExAequoBase.Text.pairs_t/1","doc":"","ref":"ExAequoBase.Text.html#t:pairs_t/1"},{"type":"type","title":"ExAequoBase.Text.pairs_t/2","doc":"","ref":"ExAequoBase.Text.html#t:pairs_t/2"},{"type":"type","title":"ExAequoBase.Text.reducer_result_t/0","doc":"","ref":"ExAequoBase.Text.html#t:reducer_result_t/0"},{"type":"type","title":"ExAequoBase.Text.result_fun_t/0","doc":"","ref":"ExAequoBase.Text.html#t:result_fun_t/0"},{"type":"type","title":"ExAequoBase.Text.result_fun_t/1","doc":"","ref":"ExAequoBase.Text.html#t:result_fun_t/1"},{"type":"type","title":"ExAequoBase.Text.result_t/0","doc":"","ref":"ExAequoBase.Text.html#t:result_t/0"},{"type":"type","title":"ExAequoBase.Text.result_t/1","doc":"","ref":"ExAequoBase.Text.html#t:result_t/1"},{"type":"type","title":"ExAequoBase.Text.stream_t/0","doc":"","ref":"ExAequoBase.Text.html#t:stream_t/0"},{"type":"type","title":"ExAequoBase.Text.zero_fn_t/0","doc":"","ref":"ExAequoBase.Text.html#t:zero_fn_t/0"},{"type":"type","title":"ExAequoBase.Text.zero_fn_t/1","doc":"","ref":"ExAequoBase.Text.html#t:zero_fn_t/1"},{"type":"module","title":"ExAequoBase.Types","doc":"A collection of types, not limitted to this project BTW.","ref":"ExAequoBase.Types.html"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}